iterations {XDE} | R Documentation

## Number of MCMC iterations

### Description

Number of MCMC iterations

### Usage

    iterations(object)

### Arguments

`object` | An object of class `XdeParameter` or `XdeMcmc`.

### Details

For an object of class `XdeParameter`, `iterations` specifies the total number of MCMC iterations. Note that by setting the `thin` parameter to a value greater than 1, the number of MCMC iterations will be greater than the number of saved MCMC iterations (saved iterations = iterations / thin).

For an object of class `XdeMcmc` (a class that stores output from the MCMC), `iterations` specifies the number of iterations that were saved.

The replacement method is only defined for the `XdeParameter` class. The class `XdeMcmc` is meant to reflect the information in an already run chain, whereas `XdeParameter` is a class for parameterizing the Bayesian model that has not yet been fit.

### Value

An integer

### Author(s)

R. Scharpf

### See Also

`XdeParameter-class`, `XdeMcmc-class`

[Package XDE version 1.2.0 Index]